> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate

> Use a deactivated contractor again



## OpenAPI

````yaml /openapi.json post /contractors/{contactId}/reactivate
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /contractors/{contactId}/reactivate:
    post:
      tags:
        - contractors
      summary: Reactivate
      description: Use a deactivated contractor again
      operationId: contractors.reactivate
      parameters:
        - name: contactId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedRevision:
                  anyOf:
                    - anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    - type: 'null'
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractorRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/ContractorForbiddenError'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/ContractorNotFoundError'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/ContractorRevisionStaleError'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    ContractorRow:
      type: object
      properties:
        contactId:
          type: string
        name:
          type: string
        kind:
          type: string
        companyId:
          anyOf:
            - type: string
            - type: 'null'
        companyName:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        contactArchivedAt:
          anyOf:
            - type: string
            - type: 'null'
        isContractor:
          type: boolean
        status:
          type: string
        trades:
          type: array
          items:
            type: string
        coverageAreas:
          type: array
          items:
            type: string
        availability:
          type: string
        availableFrom:
          anyOf:
            - type: string
            - type: 'null'
        availabilityNote:
          anyOf:
            - type: string
            - type: 'null'
        preferenceRank:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        ratesNotes:
          anyOf:
            - type: string
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - type: string
            - type: 'null'
        deactivationReason:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedByName:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/ContractorCredentialRow'
        prospect:
          anyOf:
            - $ref: '#/components/schemas/ContractorProspectRow'
            - type: 'null'
      required:
        - contactId
        - name
        - kind
        - companyId
        - companyName
        - email
        - mobile
        - contactArchivedAt
        - isContractor
        - status
        - trades
        - coverageAreas
        - availability
        - availableFrom
        - availabilityNote
        - preferenceRank
        - ratesNotes
        - notes
        - deactivatedAt
        - deactivationReason
        - deactivatedByName
        - revision
        - updatedAt
        - credentials
        - prospect
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    ContractorForbiddenError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ContractorForbidden
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    ContractorNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ContractorNotFound
        contactId:
          type: string
      required:
        - _tag
        - contactId
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    ContractorRevisionStaleError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ContractorRevisionStale
        contactId:
          type: string
        expectedRevision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - contactId
        - expectedRevision
        - revision
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    ContractorCredentialRow:
      type: object
      properties:
        id:
          type: string
        contactId:
          type: string
        kind:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          anyOf:
            - type: string
            - type: 'null'
        coverMinor:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        issuedOn:
          anyOf:
            - type: string
            - type: 'null'
        expiresOn:
          anyOf:
            - type: string
            - type: 'null'
        documentId:
          anyOf:
            - type: string
            - type: 'null'
        status:
          type: string
        supersededById:
          anyOf:
            - type: string
            - type: 'null'
        endedAt:
          anyOf:
            - type: string
            - type: 'null'
        endReason:
          anyOf:
            - type: string
            - type: 'null'
        actorUserId:
          anyOf:
            - type: string
            - type: 'null'
        actorName:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
      required:
        - id
        - contactId
        - kind
        - name
        - reference
        - provider
        - coverMinor
        - currency
        - issuedOn
        - expiresOn
        - documentId
        - status
        - supersededById
        - endedAt
        - endReason
        - actorUserId
        - actorName
        - createdAt
      additionalProperties: false
    ContractorProspectRow:
      type: object
      properties:
        provider:
          type: string
        externalId:
          type: string
        searchTrade:
          anyOf:
            - type: string
            - type: 'null'
        searchPostcode:
          anyOf:
            - type: string
            - type: 'null'
        addedByName:
          anyOf:
            - type: string
            - type: 'null'
        addedAt:
          type: string
        invitedAt:
          anyOf:
            - type: string
            - type: 'null'
        invitedVia:
          anyOf:
            - type: string
            - type: 'null'
        invitedByName:
          anyOf:
            - type: string
            - type: 'null'
        invitationCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        activatedAt:
          anyOf:
            - type: string
            - type: 'null'
        activatedByName:
          anyOf:
            - type: string
            - type: 'null'
        checkNote:
          anyOf:
            - type: string
            - type: 'null'
        dismissedAt:
          anyOf:
            - type: string
            - type: 'null'
        dismissedByName:
          anyOf:
            - type: string
            - type: 'null'
        dismissReason:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - provider
        - externalId
        - searchTrade
        - searchPostcode
        - addedByName
        - addedAt
        - invitedAt
        - invitedVia
        - invitedByName
        - invitationCount
        - activatedAt
        - activatedByName
        - checkNote
        - dismissedAt
        - dismissedByName
        - dismissReason
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.